package com.landaiqing.entity;

import java.sql.Date;

public class UserEntity {
    /**
     * CREATE TABLE `user` (
     *   `userId` int NOT NULL AUTO_INCREMENT COMMENT 'ID',
     *   `nickname` varchar(50) DEFAULT NULL COMMENT '昵称',
     *   `qq` int DEFAULT NULL COMMENT 'QQ',
     *   `email` varchar(255) DEFAULT NULL COMMENT '邮箱',
     *   `content` longtext COMMENT '留言内容',
     *   `datetime` datetime DEFAULT NULL COMMENT '留言日期',
     *   `replyContent` longtext COMMENT '回复内容',
     *   `replyDateTime` datetime DEFAULT NULL COMMENT '回复时间',
     *   PRIMARY KEY (`userId`) USING BTREE
     * ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
     * */
    private Integer userId;
    private String nickName;
    private  String QQ;

    private String email;

    private  String content;

    private Date dateTime;

    private String replyContent;

    private Date replyDateTime;

    public UserEntity(){
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getQQ() {
        return QQ;
    }

    public void setQQ(String QQ) {
        this.QQ = QQ;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getDateTime() {
        return dateTime;
    }

    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public Date getReplyDateTime() {
        return replyDateTime;
    }

    public void setReplyDateTime(Date replyDateTime) {
        this.replyDateTime = replyDateTime;
    }

    public UserEntity(Integer userId, String nickName, String QQ, String email, String content, Date dateTime, String replyContent, Date replyDateTime) {
        this.userId = userId;
        this.nickName = nickName;
        this.QQ = QQ;
        this.email = email;
        this.content = content;
        this.dateTime = dateTime;
        this.replyContent = replyContent;
        this.replyDateTime = replyDateTime;
    }

//    @Override
//    public String toString() {
//        return "UserEntity{" +
//                "userId=" + userId +
//                ", nickName='" + nickName + '\'' +
//                ", QQ='" + QQ + '\'' +
//                ", email='" + email + '\'' +
//                ", content='" + content + '\'' +
//                ", dateTime=" + dateTime +
//                ", replyContent='" + replyContent + '\'' +
//                ", replyDateTime=" + replyDateTime +
//                '}';
//    }
}
